# Name

HPL_barrier Barrier operation.

# Synopsis

`#include "hpl.h"`
`int` `HPL_barrier(` `MPI_Comm` `COMM` `);`

# Description

HPL_barrier blocks the caller until all process members have call it. The call returns at any process only after all group members have entered the call.

# Arguments

    COMM    (global/local input)          MPI_Comm
            The MPI communicator identifying the process collection.

# See Also

HPL_broadcast, HPL_reduce, HPL_all_reduce, HPL_min, HPL_max, HPL_sum.